function makecfg(objBuildInfo)

addCompileFlags(objBuildInfo,'-O3');

AVRWirePath = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/Wire/src');
AVRWirePath2 = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/Wire/src/utility');
AVRSPIPath = fullfile('$(START_DIR)', 'libs/ArduinoCore-avr/libraries/SPI/src');
DS3231Path = fullfile('$(START_DIR)', 'libs/DS3231');
RF24Path = fullfile('$(START_DIR)', 'libs/RF24');


addIncludePaths(objBuildInfo, AVRWirePath);
addIncludePaths(objBuildInfo, AVRWirePath2);
addIncludePaths(objBuildInfo, AVRSPIPath);
addIncludePaths(objBuildInfo, DS3231Path);
addIncludePaths(objBuildInfo, RF24Path);

addSourceFiles(objBuildInfo, 'Wire.cpp', AVRWirePath);
addSourceFiles(objBuildInfo, 'twi.c', AVRWirePath2);
addSourceFiles(objBuildInfo, 'SPI.cpp', AVRSPIPath);
addSourceFiles(objBuildInfo, 'DS3231.cpp', DS3231Path);
addSourceFiles(objBuildInfo, 'RF24.cpp', RF24Path);